#define MBSEGS 8
#define FIRSTMB 800
#define MBCLUST 10
#define MBCRYST 4
void plotMBcoords(char* coord = "MBcoordinates.dat"){
  //TEnv* env = new TEnv("settings/139Sn_MBcoordinates.dat");
  TEnv* env = new TEnv(coord);
  double theta[MBCLUST][MBCRYST][MBSEGS];
  double phi[MBCLUST][MBCRYST][MBSEGS];
  TH2F* h = new TH2F("h","h",180,0,180,180,-180,180);
  for(int cl=0; cl<MBCLUST; cl++){
    for(int cr=0; cr<MBCRYST; cr++){
      for(int se=0; se<MBSEGS; se++){
	theta[cl][cr][se] = env->GetValue(Form("Miniball.Clu%d.Cry%d.Seg%d.Theta",cl,cr,se),-1.0);
	phi[cl][cr][se] = env->GetValue(Form("Miniball.Clu%d.Cry%d.Seg%d.Phi",cl,cr,se),-1.0);
	cout << theta[cl][cr][se] << "\t" << phi[cl][cr][se] << endl;
	h->Fill(theta[cl][cr][se]*180./TMath::Pi(),phi[cl][cr][se]*180./TMath::Pi());
      }
    }
    
  }
  gStyle->SetOptFit(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);
  gStyle->SetTextFont(132);
  gStyle->SetLegendFont(132);
  
  gROOT->ForceStyle();
  TPad *p;
  TCanvas *c = new TCanvas("c","c",350,300);
  c->cd();
  p = new TPad("p","p",0,0,1,1);
  p->SetTopMargin(0.01);
  p->SetLeftMargin(0.14);
  p->SetBottomMargin(0.14);
  p->SetRightMargin(0.07);
  p->Draw();
  p->cd();

  h->Draw("colz");
  h->GetYaxis()->SetTitle("#phi_{lab} (deg)");
  h->GetYaxis()->SetTitleSize(0.065);
  h->GetYaxis()->SetTitleOffset(1.0);
  h->GetYaxis()->SetLabelSize(0.055);
  h->GetYaxis()->SetLabelOffset(0.01);
  h->GetYaxis()->SetTitleFont(132);
  h->GetYaxis()->SetLabelFont(132);
  h->GetXaxis()->SetTitle("#theta_{lab} (deg)");
  h->GetXaxis()->SetTitleSize(0.065);
  h->GetXaxis()->SetTitleOffset(1.0);
  h->GetXaxis()->SetLabelSize(0.055);
  h->GetXaxis()->SetLabelOffset(0.013);
  h->GetXaxis()->SetTitleFont(132);
  h->GetXaxis()->SetLabelFont(132);
  h->GetZaxis()->SetTitle("");
  h->GetZaxis()->SetTitleSize(0.0);
  h->GetZaxis()->SetTitleOffset(22);
  h->GetZaxis()->SetLabelSize(0.000);
  h->GetZaxis()->SetLabelOffset(13);
  h->GetZaxis()->SetTitleFont(132);
  h->GetZaxis()->SetLabelFont(132);

  h->GetXaxis()->SetRangeUser(0,120);
  h->GetYaxis()->SetRangeUser(-180,180);

}
